# Prestashop — Ecommerce API: gotchas

> Canonical URL: https://developers.apideck.com/apis/ecommerce/prestashop/gotchas

## GET /ecommerce/orders

PrestaShop does not expose a total record count in list responses. `meta.total_count` will not appear.

`line_items[].total_amount` is the tax-inclusive per-item total after proportional allocation of order-level cart rule coupon discounts. PrestaShop does not attribute coupon amounts to individual line items in its API; coupons are distributed proportionally across lines by each line's share of the pre-coupon subtotal. This is an approximation — the exact order-level coupon total is available in the `total_discount` field.

## GET /ecommerce/products

PrestaShop primarily uses an `id` field to identify product associations (Ie: categories, variants etc). To maintain performance on the list endpoint, fewer properties are returned than other connectors.
## GET /ecommerce/products

PrestaShop does not expose a total record count in list responses. `meta.total_count` will not appear.

## GET /ecommerce/products/{id}

Product images for PrestaShop are limited to the default image set on the product.
## GET /ecommerce/customers

PrestaShop does not expose a total record count in list responses. `meta.total_count` will not appear.


[API reference](https://developers.apideck.com/apis/ecommerce/reference.md) · [Coverage matrix](https://developers.apideck.com/apis/ecommerce/coverage)
